# Default values for balrog.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

environnement: "secret"

image:
  repository: registry.gitlab.com/gitops-heros/sith
  pullPolicy: IfNotPresent
  # Overrides the image tag whose default is the chart appVersion.
  # FIXME (version à déployer)
  tag: "0.1"

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

serviceAccount:
  # Specifies whether a service account should be created
  create: false
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations: {}

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: ClusterIP
  port: 80

ingress:
  enabled: true
  className: ""
  annotations: {}
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  hosts:
    - host: secret.74.220.26.35.sslip.io
      paths:
        - path: /
          pathType: ImplementationSpecific
  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

resources:
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  limits:
    cpu: 1.2
    memory: 32Mi
  requests:
    cpu: 0.1
    memory: 16Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80

sealedSecrets:
  create: false

# FIXME: Configure
# 1. les annotations pour l'injection du secret via l'operator vault
# 2. le "path" et la clef du secret dans vault
secrets:
  nameOverride: "james-secret"
  # FIXME (1)
  annotations: {}
  create: true
  # FIXME (2)
  supersecret: "TODO"

nodeSelector: {}

tolerations: []

affinity: {}
